summarylogtreecommitdiffstats
path: root/i2p.install
diff options
context:
space:
mode:
authorYour Name2019-02-24 15:53:33 -0500
committerYour Name2019-02-24 15:53:33 -0500
commit9c630e8e3490b579322738880d53667f059bd6d5 (patch)
tree686dbaac9eea580c9995d33f3780b6da083a7d4e /i2p.install
parent979bb949a13b236a1f11137e9dd8b48c1a99bec6 (diff)
downloadaur-9c630e8e3490b579322738880d53667f059bd6d5.tar.gz
fix permissions
Diffstat (limited to 'i2p.install')
-rwxr-xr-xi2p.install4
1 files changed, 2 insertions, 2 deletions
diff --git a/i2p.install b/i2p.install
index 54b9ec2ac9d0..caa60bd1a788 100755
--- a/i2p.install
+++ b/i2p.install
@@ -3,13 +3,13 @@ post_install() {
echo "==> I2P Router settings can be adjusted at"
echo "==> http://127.0.0.1:7657/config.jsp"
echo "==> "
- post_upgrade
}
+
## arg 1: the new package version
## arg 2: the old package version
post_upgrade() {
if (( $(vercmp $2 0.9.39) < 0 )); then
- [[ $(id -g i2p) != '985' ]] && {
+ [[ $(id -g i2p) = '985' ]] || {
echo -n ">>> Updating i2p user..."
groupmod --gid 985 i2p
usermod --uid 985 -s /bin/sh i2p